devguard
AssetsIdArchive

Archive a asset by id.

POST
/assets/{id}/archive/

Authorization

Authorization
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/assets/string/archive/" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "shortId": -9007199254740991,  "slug": "string",  "name": "string",  "description": "string",  "ownerId": "string",  "createdAt": "string",  "updatedAt": "string",  "archivedAt": "string",  "organizationId": "string",  "status": "ACTIVE",  "parentId": "string",  "assetClassId": "string",  "locationId": "string",  "retentionPeriodId": "string",  "lastReviewId": "string",  "confidentialityRating": 0,  "integrityRating": 0,  "availabilityRating": 0,  "fieldValues": {    "property1": "string",    "property2": "string"  }}

How is this guide?